package edu.cmu.cs.l3.frame;

public class FrameStack implements FrameAccess {

    public FrameStack(int offset, boolean heappointer) {
	m_offset = offset; m_heappointer = heappointer;
    }

    public int getOffset() {
	return m_offset;
    }

    public boolean isHeapPointer() {
	return m_heappointer;
    }

    private int m_offset;
    private boolean m_heappointer;
}
